Gecode::ArrayTraits< VarArgArray< IntVar > > Class Reference

Traits of IntVarArgs. More...

`#include <array-traits.hpp>`

## Public Types

typedef IntVarArgs | StorageType
typedef IntVar | ValueType
typedef IntVarArgs | ArgsType

## Detailed Description

Traits of IntVarArgs.

Definition at line 44 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef IntVarArgs Gecode::ArrayTraits< VarArgArray< IntVar > >::StorageType

Definition at line 46 of file array-traits.hpp.

## ValueType

typedef IntVar Gecode::ArrayTraits< VarArgArray< IntVar > >::ValueType

Definition at line 47 of file array-traits.hpp.

## ArgsType

typedef IntVarArgs Gecode::ArrayTraits< VarArgArray< IntVar > >::ArgsType

Definition at line 48 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/array-traits.hpp